#/bin/bash
# This batch file was created 2007 sergio@arnes.si
echo -----------------------------------------------------------------
echo This batch file \($0\) will import data to cacti
echo For successful import you heve to configre all needed plugins, scripts, xmls
echo -----------------------------------------------------------------
echo Press any key to start importing
echo or close this window to abort...

function pause(){
   read -p "$*"
}

pause "Press any key to continue"
clear
# ######################################################
# SETTINGS

# Set username and password of cacti soap service
USERNAME=soap
PASSWORD=empty

#Locaction (IP or fqdn)  of cacti server
#FQDN=test.net
FQDN=test.net

# Locaction URN withiout fqdn
#URN=cacti
URN=cacti

# Path of source csv files
SOURCE_IMPORT=/home/cacti/device-data
HOST=hosts.csv
GRAPH=graphs.csv
# ######################################################

eval `date "+day=%d; month=%m; year=%Y"`

echo Rename backup files
mv "$SOURCE_IMPORT/$HOST.err.csv $SOURCE_IMPORT/$HOSTerr.csv$year-$month-$day.csv"
mv "$SOURCE_IMPORT/$HOST.log.csv $SOURCE_IMPORT/$HOST.log.csv$year-$month-$day.csv"
mv "$SOURCE_IMPORT/$GRAPH.err.csv $SOURCE_IMPORT/$GRAPH.err.csv$year-$month-$day.csv"
mv "$SOURCE_IMPORT/$GRAPH.log.csv $SOURCE_IMPORT/$GRAPH.log.csv$year-$month-$day.csv"
echo
echo Deleting backup files
echo rm "$SOURCE_IMPORT/$HOST.err.csv"
echo rm "$SOURCE_IMPORT/$HOST.log.csv"
echo rm "$SOURCE_IMPORT/$GRAPH.err.csv"
echo rm "$SOURCE_IMPORT/$GRAPH.log.csv"
echo
echo Importing hosts
pause "Press any key to continue"
php auto_add_devices_cl.php --urn="$FQDN/$URN" --username="$USERNAME" --password="$PASSWORD" --source="$SOURCE_IMPORT/$HOST"
echo
echo Importing graphs
pause "Press any key to continue"
php auto_add_graphs_cl.php --urn="$FQDN/$URN" --username="$USERNAME" --password="$PASSWORD" --source="$SOURCE_IMPORT/$GRAPH"
echo
echo Importing trees
pause "Press any key to continue"
php auto_add_trees_cl.php --urn="$FQDN/$URN" --username="$USERNAME" --password="$PASSWORD" --source="$SOURCE_IMPORT/$GRAPH"
echo
echo Importing permissions \(Not implemented yet\)
pause "Press any key to continue"
echo php auto_add_perm_cl.php --urn="$FQDN/$URN" --username="$USERNAME" --password="$PASSWORD" --source="$SOURCE_IMPORT/$GRAPH"
echo
echo
pause "Press any key to continue"
